# $Id: perl-File-MMagic.spec 5349 2007-05-02 20:51:23Z dag $
# Authority: dag
# Upstream: NOKUBI Takatsugu <knok$daionet,gr,jp>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name File-MMagic

Summary: Perl module to guess file type
Name: perl-File-MMagic
Version: 1.27
Release: 1.rf
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/File-MMagic/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/File/File-MMagic-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
Requires: perl

%description
File-MMagic is a Perl module to guess file type.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING ChangeLog MANIFEST META.yml
%doc %{_mandir}/man3/File::MMagic.3pm*
%dir %{perl_vendorlib}/File/
%{perl_vendorlib}/File/MMagic.pm

%changelog
* Tue May 01 2007 Dag Wieers <dag@wieers.com> - 1.27-1 - 5349/dag
- Initial package. (using DAR)
